Subject: [PATCH 0/2] myri10ge fixes

From: Brice Goglin <[email-masked]>
Date: Sun, 30 Jul 2006 00:14:04 -0400

Hi,

The following 2 patches fix the following issues in the myri10ge driver:

#1 - When writing the firmware to the NIC, the FIFO is 256-bytes long,
so we use 256-bytes chunks and a read to wait until the previous write
is done.
I sent this patch two weeks ago, this new version removes the
superfluous second mb().
#2 - Fix spurious invocations of the watchdog reset handler.

Please apply,

Thanks,
Brice Goglin